#region AuthorHeader
//
//	EvoSystem version 2.1, by Xanthos
//
//
#endregion AuthorHeader
using System;
using Server;
using Server.Items;
using Server.Mobiles;
using Xanthos.Interfaces;

namespace Xanthos.Evo
{
	public class EvoDolphinDeed : BaseEvoDeed
	{
		public override IEvoCreature GetEvoCreature()
		{
			return new EvoDolphin( "dolphin" );
		}

		[Constructable]
		public EvoDolphinDeed() : base()
		{
			Name = "magical fishbone";
			Hue = 1266;
			ItemID = 15116;
		}

		public EvoDolphinDeed( Serial serial ) : base ( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}